commit:     83c306cb56115840a81025a2f4c24fb2e6bbedde
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 21 18:41:22 2025 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Dec 21 18:50:56 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83c306cb

x11-themes/adwaita-icon-theme: add 49.0

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 x11-themes/adwaita-icon-theme/Manifest             |  1 +
 .../adwaita-icon-theme-49.0.ebuild                 | 76 ++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/x11-themes/adwaita-icon-theme/Manifest 
b/x11-themes/adwaita-icon-theme/Manifest
index c1f21da18288..5feb4d8999d2 100644
--- a/x11-themes/adwaita-icon-theme/Manifest
+++ b/x11-themes/adwaita-icon-theme/Manifest
@@ -1,4 +1,5 @@
 DIST adwaita-icon-theme-3.32.0.tar.xz 18540012 BLAKE2B 
a82ca6758cdbf459ac617d3b3d834e4147c3a3c5e6ca7c705ed2d16e8cf0a1255f5ae999d7e930b9716585b8c498c220f1ab40fec929dde7679efd56f3b18a45
 SHA512 
9609732cd51c6794d4d86598818bb2a589b0f4b6b795e57f3507dad69b21ef1b2fc2e83e24e937428bbace32fcccf587a5771cbc02c5768206e704f0456a6d1d
 DIST adwaita-icon-theme-47.0.tar.xz 4199092 BLAKE2B 
3f6fcd7b554f6c36946343f17bfa8e9540c542d0f6506b1114f13c40d8617deb722ec95a2d2f5171c128d8dc11be26fb9442576588cf4fcee22627510a53f043
 SHA512 
6ce983ac2ca16096c161a2ae737a6eeb531d3b4a4c584067c70a2d552ae42687986902f4a0fd48333cd33de5483a328f4d50e6541f2b2144fe0db25023dc86c3
 DIST adwaita-icon-theme-48.1.tar.xz 4516908 BLAKE2B 
4b7ece869a78f12486a85cf4f6b682479f9dc7ce1453cec2f8653d3bcee575d4240d3bff83e7e83ef55424ca37443cc2806b4f6c86e6f8fa445301ebd4317300
 SHA512 
1d116599d5397a9dbc7e580fe78ba675b2d6e055e2c6387c08b4f8a646e989a4e5b04a6ff0d8d357422ea7100aefc54c568abf37251f7927ae081ac4334742db
+DIST adwaita-icon-theme-49.0.tar.xz 4515480 BLAKE2B 
9f4817a28b469a05731e25164290ce469f6940b343178a22a9b3043d9a84499cf640380edd02b9e24baf74b623501a50491f86b3d79845a5e02ef5af9b832edc
 SHA512 
79a283bfdef5d3e9faaf6be3f41dc2ae55f676eb798cd7ce41d07204ff831c76e6ee457733bd9d08b9bad8dcbaddddf3e8bd262285579b5a8ed9944ffd4493c7
 DIST tango-gentoo-v1.1.tar.gz 29322 BLAKE2B 
83fa2bf37727e60851dd679054fe1b153ebfea58c9a9a40f891f7d68d3b047b02e8effa1d1b4e08d64500a2072ce7200f159c92a352da7124de27e1b05bb6027
 SHA512 
87d47ddab68361db6d99866c51705dcb3e198f8345a1096859acf2c6cca5099dd23c7fb30d124f52c4933ea38fd45fadffbbe6ecbdfa84f5b60938a4824f9045

diff --git a/x11-themes/adwaita-icon-theme/adwaita-icon-theme-49.0.ebuild 
b/x11-themes/adwaita-icon-theme/adwaita-icon-theme-49.0.ebuild
new file mode 100644
index 000000000000..38a26b6927dd
--- /dev/null
+++ b/x11-themes/adwaita-icon-theme/adwaita-icon-theme-49.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org meson xdg
+
+DESCRIPTION="GNOME default icon theme"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/adwaita-icon-theme";
+
+SRC_URI="${SRC_URI}
+       branding? ( 
https://www.mail-archive.com/[email protected]/msg00043/tango-gentoo-v1.1.tar.gz
 )
+"
+LICENSE="
+       || ( LGPL-3 CC-BY-SA-3.0 )
+       branding? ( CC-BY-SA-4.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+IUSE="branding"
+
+# gtk+:3 is needed for build for the gtk-encode-symbolic-svg utility
+# librsvg is needed for gtk-encode-symbolic-svg to be able to read the source 
SVG via
+# its pixbuf loader and at runtime for rendering scalable icons shipped by the 
theme
+# adwaita-icon-theme-legacy needed to be FDO compatible:
+# https://bugs.gentoo.org/927897
+# https://gitlab.gnome.org/GNOME/adwaita-icon-theme/-/issues/288
+# 
https://gitlab.gnome.org/GNOME/adwaita-icon-theme/-/commit/9cb8144b387251eef9c0a221b2febe18802e2435
+DEPEND=">=x11-themes/hicolor-icon-theme-0.10"
+RDEPEND="${DEPEND}
+       >=gnome-base/librsvg-2.48:2
+       x11-themes/adwaita-icon-theme-legacy
+"
+BDEPEND="
+       >=gnome-base/librsvg-2.48:2
+       sys-devel/gettext
+       virtual/pkgconfig
+       x11-libs/gtk+:3
+"
+# This ebuild does not install any binaries
+RESTRICT="binchecks strip"
+
+src_prepare() {
+       if use branding; then
+               for i in 16; do
+                       cp "${WORKDIR}"/tango-gentoo-v1.1/${i}x${i}/gentoo.png \
+                       "${S}"/Adwaita/${i}x${i}/places/start-here.png \
+                       || die "Copying gentoo logos failed"
+               done
+               cp "${WORKDIR}"/tango-gentoo-v1.1/scalable/gentoo.svg \
+                       "${S}"/Adwaita/scalable/places/start-here.svg || die
+       fi
+
+       default
+}
+
+src_test() {
+       :; # No tests
+}
+
+src_install() {
+       meson_src_install
+
+       # Gentoo uses the following location for cursors too, but keep
+       # upstream path to prevent issues like bugs #838451, #834277, #834001
+       dosym ../../../../usr/share/icons/Adwaita/cursors 
/usr/share/cursors/xorg-x11/Adwaita
+}
+
+pkg_preinst() {
+       # Needed until bug #834600 is solved
+       if [[ -d "${EROOT}"/usr/share/cursors/xorg-x11/Adwaita ]] ; then
+               rm -r "${EROOT}"/usr/share/cursors/xorg-x11/Adwaita || die
+       fi
+       xdg_pkg_preinst
+}

Reply via email to